<!-- SPDX-License-Identifier: AGPL-3.0-or-later -->
<!-- Copyright (C) 2023 Andrew Rechnitzer -->
<!-- Copyright (C) 2023 Colin B. Macdonald -->

{% extends "base/base.html" %}
{% block page_heading %}Miscellanea{% endblock %}
{% block main_content %}
  <div class="d-grid gap-2">
    <div>
      <a class="btn btn-primary" href="{% url 'prep_landing' %}">Return to assessment preparation page</a>
    </div>
    <div class="card">
      <div class="card-body">
        <div class="card-title">
          <h4>Extra-page PDF</h4>
	  <p>
	    A page for students to use as extra-paper when writing assessment.
	  </p>
        </div>
        <div class="card-text">
	  {% if extra_page_task_status == 'complete' %}
	  <a class="btn btn-secondary" href="extra_page" target="_">View</a>
	  <a class="btn btn-success" href="extra_page" download="extra_page.pdf">Download</a>
	  <button class="btn btn-danger"
                  hx-delete="extra_page"
                  hx-confirm="Are you sure you want to delete the extra-page pdf?"
                  hx-target="body"
                  hx-swap="outerHTML">Delete</button>
	  {% elif extra_page_task_status == 'todo' %}
	  <button class="btn btn-primary"
                  hx-put="extra_page"
                  hx-target="body"
                  hx-swap="outerHTML">Build</button>
	  {% else %}
	  <div hx-get="{% url 'misc_extras' %}" hx-trigger="every 2s" hx-target="body">
	  <button class="btn btn-warning" disabled>
	    PDF build in progress
	  </button> - page will refresh every 2s until task complete.
	  </div>
	  {% endif %}
        </div>
      </div>
    </div>
  </div>
{% endblock %}
